
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include "ui_assuma_wizard.h"
#include <QWizard>
#include "assuma_helpbrowser.h"

class QTranslator;

class AssumaWizard : public QWizard, public Ui::AssumaWizard {
	Q_OBJECT
	public:
		AssumaWizard(QWidget *parent=0) ;
		bool haveAlreadyRun();
	private slots:
		void readSettings();
		void writeSettings();
		void loadLanguageList( const QString & );
		void pageChanged(int);
		void on_wizardLanguageComboBox_currentIndexChanged(int);
		bool checkDataDir( const QString & );
		void on_dataDirectoryToolButton_clicked();
		void on_copyDataDirectoryToolButton_clicked();
		void showHelp();
	private:
		AssumaHelpBrowser * helpBrowser();
		QMap<QString,QString> translation_equiv;
		int previousPage;
		bool shouldRun;
		QTranslator *m_translator;
		AssumaHelpBrowser *m_helpBrowser;
};